Unable to change PHP version: Call to a member function getValue() on null

Refers to:

  • Plesk 12.5 for Linux
  • Plesk 12.0 for Linux

Created:

2016-11-16 13:13:37 UTC

Modified:

2017-01-17 17:41:08 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Unable to change PHP version: Call to a member function getValue() on null

Symptoms

When trying to change PHP version for a domain, the following error is shown:

ERROR: Call to a member function getValue() on null (PhpSettings.php:105)

Cause

Not all handlers were enabled on the server

Resolution

  1. Disable all 3rd-party repositories.

  2. Reinstall the PHP versions using Plesk autoinstaller.

  3. Enable all PHP handlers on Tools & Settings > PHP Settings page.

  4. Update information about all PHP handlers settings
    ~# plesk bin php_handler --reread
Have more questions? Submit a request
Please sign in to leave a comment.